org.keycloak.freemarker

## Interface Theme

- All Known Implementing Classes:
    ClassLoaderTheme, ExtendingThemeManager.ExtendingTheme, FolderTheme

      public interface Theme

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Theme.Type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImportName()`
    `Properties` | `getMessages(Locale locale)`
    `String` | `getName()`
    `String` | `getParentName()`
    `Properties` | `getProperties()`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `URL` | `getTemplate(String name)`
    `InputStream` | `getTemplateAsStream(String name)`
    `Theme.Type` | `getType()`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getParentName

          String getParentName()

    - #### getImportName

          String getImportName()

    - #### getType

          Theme.Type getType()

    - #### getTemplate

          URL getTemplate(String name)
                          throws IOException

      Throws:
        `IOException`

    - #### getTemplateAsStream

          InputStream getTemplateAsStream(String name)
                                          throws IOException

      Throws:
        `IOException`

    - #### getResource

          URL getResource(String path)
                          throws IOException

      Throws:
        `IOException`

    - #### getResourceAsStream

          InputStream getResourceAsStream(String path)
                                          throws IOException

      Throws:
        `IOException`

    - #### getMessages

          Properties getMessages(Locale locale)
                                 throws IOException

      Throws:
        `IOException`

    - #### getProperties

          Properties getProperties()
                                   throws IOException

      Throws:
        `IOException`

Copyright © 2015. All rights reserved.